1. Sources
Highperformr API
  • Introduction
  • Contacts
    • Unified Data API - async contact enrichment
      POST
    • Bulk fetch contacts by IDs
      POST
    • Get contacts by segment
      POST
    • Get contact by ID
      GET
    • Update contact
      PATCH
    • Delete contact
      DELETE
    • Upsert contact into a source
      POST
    • Bulk upsert contacts for source
      POST
    • Unique values of one field for a filtered contact set
      POST
  • Schema
    • Get contact schema
      GET
    • Get discovery search contact schema
      GET
    • Get discovery search company schema
      GET
    • Get verified discovery contact filter schema
      GET
    • Get verified discovery company filter schema
      GET
    • Get options for field
      GET
    • Verified discovery autocomplete suggestions
      GET
    • Get discovery search options for field
      GET
    • Verified discovery static option lists
      GET
  • Discovery search
    • Find contacts v2
      POST
    • Find companies v2
      POST
    • Find verified contacts
      POST
    • Find verified companies
      POST
  • Jobs
    • Get job status by id
  • Social publishing
    • Create draft post
    • List posts (drafts, scheduled, published)
    • Schedule or publish posts (bulk)
    • Schedule a LinkedIn comment on an external post
    • Configure cross-account auto-repost
    • Upload media file (multipart)
    • Assemble chunked uploads into one file
    • Import media from a public URL
  • Integrations (social)
    • List social integrations (filter)
  • Segments
    • Type-ahead search for segments
    • Create segment
    • Get segment by ID
    • Update segment
    • Delete segment
    • Clone segment
  • Sources
    • Bulk upsert sources
      POST
    • Bulk fetch sources
      POST
    • Bulk update sources
      PATCH
    • Create source
      POST
    • Pull contacts from source
      POST
    • Get source by ID
      GET
    • Update source
      PATCH
  • Credits
    • Get workspace credit balance
Login
  1. Sources

Get source by ID

GET
/sources/{id}
Returns one source by its id.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Responses

🟢200
application/json
Source details
Bodyapplication/json

🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.highperformr.ai/api/sources/' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Success
{
    "data": {
        "id": "src_li_inbound_01",
        "type": "sources",
        "attributes": {
            "sourceType": "linkedinInbound",
            "sourceIdentifier": "https://www.linkedin.com/in/jamie-rivera-example",
            "sourceMeta": {
                "socialName": "Jamie Rivera",
                "socialHandle": "jamie-rivera-example",
                "platformName": "linkedin",
                "interactionType": "inbound"
            },
            "refreshStatus": "completed"
        }
    }
}
Modified at 2026-08-06 14:14:15
Previous
Pull contacts from source
Next
Update source
Built with